dput {base} | R Documentation

## Write an Internal Object to a File

### Description

Writes an ASCII text representation of an R object to a file or connection, or uses one to recreate the object.

### Usage

    dput(x, file = "")
    dget(file)

### Arguments

`` |
`file` | either a character string naming a file or a connection. `""` indicates output to the console.

### Details

`dput` opens `file` and deparses the object `x` into that file. The object name is not written (contrary to `dump`). If `x` is a function the associated environment is stripped. Hence scoping information can be lost.

Using `dget`, the object can be recreated (with the limitations mentioned above).

### See Also

`deparse`, `dump`, `write`.

### Examples

    ## Write an ASCII version of mean to the file "foo"
    dput(mean, "foo")
    ## And read it back into `bar'
    bar <- dget("foo")
    unlink("foo")